package com.template.services;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.template.model.pojo.SmartSection;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.pojo.SmartUser;
import com.template.model.result.PageUtils;
import com.template.model.vo.SmartSectionPageVo;
import com.template.model.vo.UserDeleteVo;

import java.util.List;

/**
 * <p>
 * 应用管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-05-28
 */
public interface SmartSectionService extends IService<SmartSection> {

    int insertSmartSection(SmartSection ss);

    int updateSmartSection(SmartSection ss);

    SmartSection getSmartById(Integer id);

    int deleteSmartUserById(Integer id);

    PageUtils<SmartSectionPageVo> querySmartSectionPages(int currentPage, int pageCount);
}
